.ontodia-accordion {
  flex: auto;
  display: flex;
  height: 100%;
  width: 100%;

  &--scrollable {
    overflow: auto;
  }

  &--vertical {
    flex-direction: column;
  }

  &--vertical:not(&--resizing) > .ontodia-accordion-item {
    transition: height 0.3s ease-in-out;
  }
}

.ontodia-accordion-item {
  display: flex;
  position: relative;
  flex: auto;

  &--resizing > &__handle, &__handle:hover {
    background: rgba(0, 0, 0, 0.1);
  }

  &--vertical {

    &:first-child {
      border-top-width: 0;
    }
  }

  &--horizontal {
    border-right: 1px solid lightgray;

    &.ontodia-accordion-item--collapsed {
      background-color: $color-sidebar-bg;
    }

    &:last-child {
      border-right-width: 0;
    }
  }

  &__handle {
    position: absolute;
    z-index: 2;
  }

  &__handle-vertical {
    height: 5px;
    bottom: -2.5px;
    left: 0;
    width: 100%;
    cursor: ns-resize;
  }

  &__handle-horizontal {
    height: 100%;
    top: 0;
    right: -2.5px;
    width: 5px;
    cursor: ew-resize;
  }

  &__handle-btn {
    background: $color-white;
    border: 2px solid $color-km-handle;
    box-shadow: 0 0 0 1px rgba(9, 30, 66, 0.08), 0 2px 4px 1px rgba(9, 30, 66, 0.08);
    border-radius: 10px;
    cursor: pointer;
    height: 20px;
    position: absolute;
    top: 50%;
    margin-top: -10px;
    width: 20px;
    z-index: 20;
    transition: 0.3s;

    &::before {
      background-position: 0 0;
      background-repeat: no-repeat;
      background-size: cover;
      content: "";
      height: 8px;
      position: absolute;
      top: 50%;
      left: 50%;
      margin-top: -4px;
      margin-left: -4px;
      width: 8px;
      transition: background 0.3s;
    }

    &:hover {
      background: $color-km-handle;
    }
  }

  &__handle-btn-left {
    border-radius: 50%;
    height: 25px;
    width: 25px;

    left: 100%;
    margin-left: -12px;
    &:before { background-image: url("../images/arrow-left.png"); }
    &:hover:before { background-image: url("../images/arrow-left1.png"); }
  }

  &__handle-btn-right {
    border-radius: 50%;
    height: 25px;
    width: 25px;

    right: 100%;
    margin-right: -10px;
    &:before { background-image: url("../images/arrow-right.png"); }
    &:hover:before { background-image: url("../images/arrow-right1.png"); }
  }

  &--collapsed &__handle-btn:before {
    transform: rotate(180deg);
  }

  &__inner {
    flex: auto;
    display: flex;
    flex-direction: column;
    overflow: hidden;
  }

  &__body {
    flex: 1 1 0px; // IE 11 requires a unit to be added to the third argument
    display: flex;
    flex-direction: column;
  }

  &__header {
    padding-left: 20px;
    position: relative;

    flex-shrink: 0;
    font-size: 16px;
    font-weight: 600;

    cursor: default;
    /* unselectable */
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    &:before {
      border-top: 5px solid $color-dark;
      border-left: 3.5px solid transparent;
      border-right: 3.5px solid transparent;
      content: "";
      position: absolute;
      top: 50%;
      left: 9px;

      -webkit-transition: 0.1s;
      -moz-transition: 0.1s;
      transition: 0.1s;
    }
  }

  &--collapsed &__header:before {
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    transform: rotate(-90deg);
  }

  &--collapsed &__body {
    display: none;
  }
}

.thinking-frames__clipboard-sidebar,
.thinking-frames__frames-sidebar {

  &.ontodia-accordion-item__inner {

    background-color: $color-sidebar-bg;
  }

  .ontodia-accordion-item__header {
    font-size: 20px;
    padding: 24px 24px 16px;
  }
}

.thinking-frames__frames {

  .ontodia-accordion-item__header {
    font-size: 14px;
    background-color: $color-frame-header;
    padding: 3px 25px;
    box-shadow: 0px 0px 2px 1px #acacaf2e;
    border-top: 1px solid #d3d3d3;
    border-bottom: 1px solid #d3d3d3;
  }

  .ontodia-accordion-item__body {

    //header inside KM sidebars
    .ontodia-accordion-item__header {
      color: $color-dark;
      background-color: transparent;
      font-weight: 600;
      font-size: 16px;
      line-height: 1.2;
      letter-spacing: 0.2px;
      padding: 20px 0px 15px 31px;
      box-shadow: none;
      border: none;

      &::before {
        left: 14px;
        top: 51%;
      }
    }

    .ontodia-accordion-item__body {
      padding: 0px 8px 5px 8px;
    }

    .ontodia-accordion-item__handle-vertical {
      background: #9e9e9e12;
      height: 3px;
    }

    .ontodia .ontodia-accordion-item.ontodia-accordion-item--expanded.ontodia-accordion-item--horizontal {
      min-width: fit-content;
    }
  }
}
